* {
    padding: 0;
    margin: 0;
    outline: none;
    box-sizing: border-box;
}

body {
    font-family: '微软雅黑', Tahoma, Helvetica, Arial, "\5b8b\4f53", sans-serif;
}

/* 此段仅在IE10以上生效 */
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    body {
        /* 解决IE11下v-loading不消失的问题 */
        position: relative;
        width: calc(100vw - 8px);
        height: calc(100vh - 15px);
    }
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(0, 0, 0, 0);
}

::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    border-radius: 10px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: rgba(0, 0, 0, 0);
    border-radius: 10px;
}

label {
    margin-bottom: 0;
    font-weight: 700;
}

a {
    cursor: pointer;
    color: #337ab7;
    text-decoration: none;
}

.wrapper-cont .box-card {
    margin-bottom: 15px;
}

.wrapper-cont .box-card:last-child {
    margin-bottom: 0;
}

@media (max-width: 768px) {
    .wrapper-cont .ml-15 {
        margin-left: 0 !important;
        margin-top: 15px !important;
    }
}

[v-cloak] > * {
    display: none;
}

/*[v-cloak]::before { display:block;width:105px;height:105px;text-align:center;content: " ";background-image: url("data:image/svg+xml;base64,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") }*/
/*[v-cloak] {position: absolute;left: 50%;top: 50%;transform: translate(-50%, -50%);}*/

/* 设置页面直接子节点的边框 */
.main-container > .el-card > .el-card__body {
    padding: 10px 10px 10px !important;
}

/* 消除其他所有card的边框 */
.el-card__body {
    padding: 0 !important;
}

.el-card.is-always-shadow {
    box-shadow: none !important;
}

.el-card {
    border: 0 none !important;
}

.el-form-item__label {
    font-size: 12px !important;
}

/* 查询面板样式定义 */
.search-content .el-range-editor.el-input__inner {
    width: 100%;
    min-width: 230px;
}

.search-content .el-date-editor .el-range-separator {
    width: 8%;
}

.search-content .el-select {
    display: block;
}

.search-content form {
    padding: 10px 10px 0;
    border-radius: 4px
}

.search-content.is-hover-shadow:hover, .search-content.is-hover-shadow:focus {
    box-shadow: none !important;
}

.search-content .el-form-item--small.el-form-item {
    margin-bottom: 8px;
}

.search-content .el-input--small .el-input__inner {
    height: 28px;
    line-height: 28px
}

.search-content .el-form-item--small .el-form-item__content {
    line-height: 28px;
}

.el-menu .fa {
    vertical-align: middle;
    margin-right: 5px;
    width: 24px;
    text-align: center;
}

.el-menu .fa:not(.is-children) {
    font-size: 14px;
}

.fade-enter-active, .fade-leave-active {
    transition: opacity .2s ease-in-out;
}

.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */
{
    opacity: 0;
}

/*element样式重定义*/
.el-submenu.is-active .el-submenu__title, .el-submenu.is-active .el-submenu__title i {
    color: #fff !important;
}

.el-table {
    font-size: 14px !important;
    border-radius: 4px !important;
}

.el-table th.gutter {
    display: table-cell !important;
}

.el-table--medium th, .el-table--medium td {
    padding: 4px !important;
}

.el-table--border td {
    border-right: none !important;
}

.el-table th > .cell {
    white-space: nowrap !important;
    word-break: keep-all !important;
    text-overflow: unset !important;
}

.el-table--group::after, .el-table--border::after {
    width: 0 !important;
}

/*el-message */
.el-message {
    z-index: 9999999999 !important;
}

.special-select .el-select .el-input {
    width: 130px;
}

.el-menu {
    border-right: none !important;
}

.el-input.is-disabled .el-input__inner, .el-textarea.is-disabled .el-textarea__inner {
    color: #606266 !important;
}

.el-select {
    display: block !important;
}

.el-button-group > .el-button:not(:last-child) {
    margin-right: 5px !important;
}

.el-form-item.search-content-button-container {
    text-align: right !important
}

.el-tabs--border-card {
    box-shadow: none !important;
}

.el-input.input-with-select-prepend .el-select .el-input {
    width: 100px !important;
}

.el-input.input-with-select-prepend .el-input-group__prepend {
    background-color: #fff !important;
    border-color: #dcdfe6 !important;
    color: #606266 !important;
}

.el-input.input-with-select-prepend .el-input-group__prepend:hover {
    border-color: #dcdfe6 !important;
}

.el-input.input-with-select-prepend.is-disabled .el-input-group__prepend {
    background-color: #f5f7fa !important;
}

.el-date-editor.el-input, .el-date-editor.el-input__inner {
    width: 100% !important;
}

.el-color-picker {
    display: inline-block !important;
    position: relative !important;
    line-height: normal !important;
    height: 30px !important;
    vertical-align: top !important;
    padding-top: 10px !important;
}

.el-color-picker__trigger {
    width: 30px !important;
    height: 30px !important;
}

.el-time-spinner__wrapper {
    overflow: hidden !important;
}

/*form 添加border*/
.with-border {
    border: 1px solid #ddd;
    margin: 15px;
}

.with-border .el-select {
    display: block;
}

.with-border .el-row {
    /*border-bottom: 1px solid #e7eaec;*/
    background: #f5f5f5;
    box-sizing: border-box
}

.with-border .el-row:last-child {
    border: none
}

.with-border .el-form-item .el-form-item__label {
    padding: 10px 10px 0 0;
}

.with-border .el-form-item {
    margin-bottom: 0;
    height: 100%
}

.with-border .el-form-item--small.el-form-item {
    margin-bottom: 0;
}

.with-border .el-form-item .el-form-item__content {
    padding: 10px;
    background: #fff;
    height: 100%
}

.with-border .el-form-item__error {
    position: relative;
}

.with-border .el-form-item--small .el-form-item__error {
    padding-top: 5px;
    top: 0;
}

.with-border .el-input-number--small {
    width: 100%;
}

.with-border .el-form-item__content {
    box-sizing: border-box;
}

.with-border .el-form-item--small .el-form-item__label {
    line-height: 12px;
}

.with-border .el-form-item .el-form-item__content {
    padding: 6px;
}

.el-submenu .el-menu-item {
    font-size: 13px;
    height: 40px;
    line-height: 40px;
}

.el-menu-item.is-active {
    position: relative;
    color: #e6a23c !important;
    font-weight: 700;
    background: rgba(0, 0, 0, .5) !important;
}

.el-menu-item.is-active::before {
    content: '';
    width: 4px;
    height: 100%;
    position: absolute;
    right: 0;
    left: 0;
    background: #e6a23c;
}

.el-step__title {
    font-size: 14px;
}

.layer-moon .el-message-box__header {
    padding: 0;
}

.layer-moon .el-message-box__title {
    padding: 0 80px 0 20px;
    height: 42px;
    line-height: 42px;
    border-bottom: 1px solid #eee;
    font-size: 14px;
    color: #333;
    overflow: hidden;
    background-color: #F8F8F8;
    border-radius: 2px 2px 0 0
}

.layer-moon .el-message-box__btns {
    padding: 10px 15px 0;
    background: #fff;
    border-top: 1px #c7c7c7 solid;
}

.layer-moon .el-button--small {
    padding: 6px 12px;
}

.el-upload__extra-button {
    margin-left: 10px !important;
}

.el-collapse-item__header {
    background-color: #dee1e6 !important;
    font-size: 14px !important;
    font-weight: bold !important;
    padding-left: 15px !important;
    height: 32px !important;
    line-height: 32px !important;
}

.el-collapse-item__arrow {
    line-height: 32px !important;
}

.el-collapse {
    border-top: 0 !important;
}

.el-collapse-item__content {
    padding-bottom: 0 !important;
}

.el-submenu.is-active .el-submenu__title {
    background: rgba(0, 0, 0, .2) !important
}

.nest-menu .el-submenu.is-active > .el-submenu__title, .el-submenu.is-active .el-menu-item {
    background-color: rgba(0, 0, 0, .2);
}

.el-submenu.is-active .el-menu-item:hover, .el-menu-item:hover, .el-menu-item:focus {
    background: rgba(0, 0, 0, .3) !important;
}

.el-submenu__title:hover, .el-submenu__title:focus {
    background: rgba(0, 0, 0, .2) !important;
}

.special-select.input-with-select .el-input-group__prepend {
    background-color: #fff;
    border-color: #dcdfe6;
    color: #333
}

.special-select.input-with-select .el-input-group__prepend:hover, .special-select.input-with-select .el-input-group__prepend:disabled {
    background: #fff;
    border-color: #dcdfe6
}

.special-select.input-with-select .el-input-group__prepend .el-input--suffix.is-disabled .el-input__inner {
    background-color: #f5f7fa;
    border: 1px solid #e4e7ed !important
}

.el-message-box__content .el-message-box__message form.with-border {
    margin: 0;
}

.el-table .caret-wrapper{
  position: absolute!important;
}
.el-table .sort-caret.ascending{
  top:0!important;
}
.el-table .sort-caret.descending{
  bottom: 12px!important;
}
